package org.eclipse.jdt.internal.compiler.ast;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.ASTVisitor;
import org.eclipse.jdt.internal.compiler.ast.Annotation;
import org.eclipse.jdt.internal.compiler.ast.MemberValuePair;
import org.eclipse.jdt.internal.compiler.ast.TypeReference;
import org.eclipse.jdt.internal.compiler.lookup.BlockScope;
import org.eclipse.jdt.internal.compiler.lookup.ClassScope;

public class MarkerAnnotation extends Annotation {
  public MarkerAnnotation(TypeReference type, int sourceStart) {
    this.type = type;
    this.sourceStart = sourceStart;
    this.sourceEnd = type.sourceEnd;
  }
  
  public MemberValuePair[] memberValuePairs() {
    return NoValuePairs;
  }
  
  public void traverse(ASTVisitor visitor, BlockScope scope) {
    if (visitor.visit(this, scope) && 
      this.type != null)
      this.type.traverse(visitor, scope); 
    visitor.endVisit(this, scope);
  }
  
  public void traverse(ASTVisitor visitor, ClassScope scope) {
    if (visitor.visit(this, scope) && 
      this.type != null)
      this.type.traverse(visitor, scope); 
    visitor.endVisit(this, scope);
  }
}
